Name:		chrome-token-signing
Version:	1.1.2
Release:	%mkrel 2
Summary:	Estonian ID Card signing plugin for supported browsers
License:	LGPLv2
Group:		Networking/WWW
URL:		https://github.com/open-eid/chrome-token-signing
Source0:	https://github.com/open-eid/%{name}/archive/v%{version}-1.tar.gz

BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtbase5-common-devel

# fix mga#11352
Requires:	locales-et
Requires:	mozilla-esteid
Requires:	mozilla-filesystem

Requires(post):	jq

Recommends:	opensc
Recommends:	ccid
Recommends:	pcsc-lite

# Requires std::future
ExcludeArch:	armv5tl

%description
Estonian ID Card signing plugin for Chrome and other supported browsers.

%prep
%autosetup -n %{name}-%{version}-1

%build
%make_build

%install
# Create directories
install -d %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts
install -d %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts
install -d %{buildroot}%{_sysconfdir}/chromium-browser/native-messaging-hosts
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/chromium/extensions
install -d %{buildroot}%{_datadir}/chromium-browser/extensions
install -d %{buildroot}%{_datadir}/google-chrome/extensions
install -d %{buildroot}%{_datadir}/mozilla/native-messaging-hosts
install -d %{buildroot}%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
install -d %{buildroot}%{_libdir}/mozilla/native-messaging-hosts
install -d %{buildroot}%{_libdir}/firefox/distribution

# Install files
install -D -c -p -m 755 ./host-linux/%{name} %{buildroot}%{_bindir}/
install -D -c -p -m 644 ./host-linux/ee.ria.esteid.json %{buildroot}%{_datadir}/%{name}/
install -D -c -p -m 644 ./host-linux/ff/ee.ria.esteid.json %{buildroot}%{_datadir}/mozilla/native-messaging-hosts/
install -D -c -p -m 644 ./ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/%{name}/
install -D -c -p -m 644 ./\{443830f0-1fff-4f9a-aa1e-444bafbc7319\}.xpi %{buildroot}%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}/
# This is temporary workaround for https://bugzilla.mozilla.org/show_bug.cgi?id=1318461
install -D -c -p -m 644 ./host-linux/ff/ee.ria.esteid.json %{buildroot}%{_libdir}/mozilla/native-messaging-hosts/

# Create links
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/opt/chrome/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/chromium/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ee.ria.esteid.json %{buildroot}%{_sysconfdir}/chromium-browser/native-messaging-hosts/ee.ria.esteid.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/chromium/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/chromium-browser/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json
ln -s %{_datadir}/%{name}/ckjefchnfjhjfedoccjbhjpbncimppeg.json %{buildroot}%{_datadir}/google-chrome/extensions/ckjefchnfjhjfedoccjbhjpbncimppeg.json

%post
POLICIES=%{_libdir}/firefox/distribution
mkdir -p ${POLICIES}
if [ ! -f ${POLICIES}/policies.json ]; then
	JQARGS=-n;
else
	JQARGS=${POLICIES}/policies.json;
fi
jq '.policies.ExtensionSettings["{443830f0-1fff-4f9a-aa1e-444bafbc7319}"] = {"installation_mode": "normal_installed", "install_url": "https://addons.mozilla.org/firefox/downloads/latest/token-signing2/latest.xpi"}' ${JQARGS} > ${POLICIES}/policies.tmp
mv ${POLICIES}/policies.tmp ${POLICIES}/policies.json

%postun
POLICIES=%{_libdir}/firefox/distribution
mkdir -p ${POLICIES}
if [ ! -f ${POLICIES}/policies.json ]; then
	JQARGS=-n;
else
	JQARGS=${POLICIES}/policies.json;
fi
jq '.policies.ExtensionSettings["{443830f0-1fff-4f9a-aa1e-444bafbc7319}"] = {"installation_mode": "blocked"}' ${JQARGS} > ${POLICIES}/policies.tmp
mv ${POLICIES}/policies.tmp ${POLICIES}/policies.json

%files
%doc LICENSE.LGPL RELEASE-NOTES.md
%{_sysconfdir}/opt/chrome/native-messaging-hosts
%{_sysconfdir}/chromium/native-messaging-hosts
%{_sysconfdir}/chromium-browser/native-messaging-hosts
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/chromium
%{_datadir}/chromium-browser
%{_datadir}/google-chrome
%{_datadir}/mozilla/native-messaging-hosts
%{_datadir}/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/
%{_libdir}/mozilla/native-messaging-hosts/
%{_libdir}/firefox/distribution/


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.1.2-2.mga8
+ Revision: 1658223
- Rebuild for new Qt5

* Tue Aug 11 2020 sander85 <sander85> 1.1.2-1.mga8
+ Revision: 1613246
- New version: 1.1.2

* Sat Feb 15 2020 umeabot <umeabot> 1.0.8-4.mga8
+ Revision: 1524417
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 1.0.8-3.mga7
+ Revision: 1381440
- Qt5 Rebuild

* Sun Mar 17 2019 daviddavid <daviddavid> 1.0.8-2.mga7
+ Revision: 1378182
- Rebuild again with the same openssl as Qt5 is using

* Fri Jan 04 2019 sander85 <sander85> 1.0.8-1.mga7
+ Revision: 1349151
- New version: 1.0.8

* Sat Sep 22 2018 umeabot <umeabot> 1.0.7-2.mga7
+ Revision: 1296152
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 sander85 <sander85> 1.0.7-1.mga7
+ Revision: 1238177
- New version: 1.0.7

* Thu Mar 08 2018 sander85 <sander85> 1.0.6-4.mga7
+ Revision: 1207391
- Rebuild with the same openssl as Qt5 is using

* Sat Feb 24 2018 sander85 <sander85> 1.0.6-3.mga7
+ Revision: 1204821
- Rebuild for new Qt

* Sun Nov 19 2017 sander85 <sander85> 1.0.6-2.mga7
+ Revision: 1177784
- Obsolete esteid-browser-plugin

* Wed Oct 25 2017 sander85 <sander85> 1.0.6-1.mga7
+ Revision: 1173646
- New version: 1.0.6

* Sat Sep 23 2017 daviddavid <daviddavid> 1.0.4-0.b1.6.mga7
+ Revision: 1157867
- rebuild for new openssl 1.1.0

* Mon May 29 2017 sander85 <sander85> 1.0.4-0.b1.5.mga6
+ Revision: 1105458
- Require mozilla-esteid

* Thu May 18 2017 sander85 <sander85> 1.0.4-0.b1.4.mga6
+ Revision: 1103013
- Add some recommends + fix for mga#11352

* Wed Apr 05 2017 sander85 <sander85> 1.0.4-0.b1.3.mga6
+ Revision: 1095945
- Add workaround for bmo#1318461

* Tue Feb 07 2017 pterjan <pterjan> 1.0.4-0.b1.2.mga6
+ Revision: 1085061
- Exclude armv5tl

* Sat Jan 14 2017 sander85 <sander85> 1.0.4-0.b1.1.mga6
+ Revision: 1081619
- imported package chrome-token-signing

